%global majorver 2
%global minorver 4
%global patchver 0
#%%global tarversion _%{majorver}_%{minorver}_%{patchver}
%global tarversion %{majorver}_%{minorver}_%{patchver}
%global ver %{majorver}.%{minorver}.%{patchver}
%global momorel 1

# threads
# values: pthreads, none
%global threads pthreads

Summary:	Xerces-C++ validating XML parser
Name:		xerces-c
Version:	%{ver}
Release:	%{momorel}m
URL:		http://xml.apache.org/xerces-c/
Source0:	http://xml.apache.org/dist/xerces-c/stable/%{name}-src%{tarversion}.tar.gz
NoSource:	0
License:	Apache
Group:		System Environment/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Xerces-C++ is a validating XML parser written in a portable subset of C++.
Xerces-C++ makes it easy to give your application the ability to read and
write XML data. A shared library is provided for parsing, generating,
manipulating, and validating XML documents.

The parser provides high performance, modularity, and scalability. Source
code, samples and API documentation are provided with the parser. For
portability, care has been taken to make minimal use of templates, no RTTI,
and minimal use of #ifdefs.

%package devel
Requires:	xerces-c = %{version}-%{release}
Group:		Development/Libraries
Summary:	Header files for Xerces-C++ validating XML parser

%description devel
Header files you can use to develop XML applications with Xerces-C++.

Xerces-C++ is a validating XML parser written in a portable subset of C++.
Xerces-C++ makes it easy to give your application the ability to read and
write XML data. A shared library is provided for parsing, generating,
manipulating, and validating XML documents.

%package doc
Group:		Documentation
Summary:	Documentation for Xerces-C++ validating XML parser

%description doc
Documentation for Xerces-C++.

Xerces-C++ is a validating XML parser written in a portable subset of C++.
Xerces-C++ makes it easy to give your application the ability to read and
write XML data. A shared library is provided for parsing, generating,
manipulating, and validating XML documents.

%prep
%setup -q -n %{name}-src%{tarversion}

%build
export XERCESCROOT=$RPM_BUILD_DIR/%{name}-src%{tarversion}
cd $XERCESCROOT/src/xercesc
./runConfigure -plinux -cgcc -xg++ -minmem -nsocket -tnative -r%{threads} -P%{_prefix}
make
cd $XERCESCROOT/samples
./runConfigure -plinux -cgcc -xg++
make

%install
rm -rf %{buildroot}

export XERCESCROOT=$RPM_BUILD_DIR/%{name}-src%{tarversion}
cd $XERCESCROOT/src/xercesc
make PREFIX=%{buildroot}%{_prefix} install
mkdir -p %{buildroot}%{_bindir}
#we don't want obj directory
install `find $XERCESCROOT/bin -type f -maxdepth 1` %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -a $XERCESCROOT/samples %{buildroot}%{_datadir}/%{name}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(755,root,root)
%{_bindir}/*
%{_libdir}/libxerces-c.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/libxerces-c.so
%{_includedir}/xercesc
%{_datadir}/%{name}/samples

%files doc
%defattr(-,root,root)
%doc LICENSE.txt STATUS credits.txt Readme.html doc/

%changelog
* Sun May 23 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.0-1m)
- update to 2.4.0

* Tue Jul  6 2003 Kimitake Shibata <cipher@da2.so-net.ne.jp>
- (2.3.0-1m)
- Update to 2.3.0

* Sun Apr 27 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.2.0-1m)
- import to momonga(based on xerces-c-2.2.0-2) for cuppa

* Wed Dec 18 2002 Albert Strasheim <albert@stonethree.com>
- added symlink to libxerces-c.so in lib directory

* Fri Dec 13 2002 Albert Strasheim <albert@stonethree.com>
- added seperate doc package
- major cleanups

* Tue Sep 03 2002  <thomas@linux.de>
- fixed missing DESTDIR in Makefile.util.submodule

* Mon Sep 02 2002  <thomas@linux.de>
- Initial build.
